## ros-eloquent-sick-scan2 0.1.7

=== CMakeLists.txt ===
###########################################################
# ROS2 CMakeLists.txt for SICK-Scanner-Support
#
# Project: sick_scan2
# URL: https://github.com/SICKAG/sick_scan2
#
###########################################################

cmake_minimum_required(VERSION 3.5)

project(sick_scan2)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
# TODO: Remove compiler warning from the code - currently suppressed
add_compile_options(-Wno-sign-compare )
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
#  add_compile_options(-Wall -Wextra -Wpedantic)
endif()


find_package(Boost REQUIRED COMPONENTS system thread)
find_package(ament_cmake REQUIRED)
# find_package(diagnostic_updater REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)


add_definitions(-DUSE_DYN_RECONFIG=0)


include_directories(include ${Boost_INCLUDE_DIR})

add_executable(sick_generic_caller
        driver/src/sick_generic_laser.cpp
        driver/src/sick_generic_caller.cpp
        driver/src/sick_generic_parser.cpp
        driver/src/sick_scan_common_tcp.cpp
        driver/src/sick_scan_common.cpp
        driver/src/tcp/tcp.cpp
        driver/src/tcp/Mutex.cpp
        driver/src/tcp/SickThread.cpp
        driver/src/tcp/errorhandler.cpp
        driver/src/tcp/toolbox.cpp
        driver/src/tcp/Time.cpp
        driver/src/tcp/colaa.cpp
        driver/src/tcp/colab.cpp
        driver/src/binScanf.cpp
        driver/src/sick_scan_common_nw.cpp
        )

ament_target_dependencies(sick_generic_caller
   "Boost"
#   "diagnostic_updater"
   "rclcpp"
   "sensor_msgs"
   "std_msgs"
)

install(TARGETS
  sick_generic_caller
  DESTINATION lib/${PROJECT_NAME})

# Install launch files.
install(DIRECTORY
        launch
        DESTINATION share/${PROJECT_NAME})


if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-eloquent-sick-scan2 (0.1.7-1bionic) bionic; urgency=high

  * retrial bloom release
  * Merge pull request #8 <https://github.com/SICKAG/sick_scan2/issues/8> from clalancette/fixes
    Fixes for CMakeLists.txt to build on the buildfarm.
  * Fixes for CMakeLists.txt to build on the buildfarm.
    A few things done in here:
    1.  Change CMake required version back to 3.5
    2.  Remove unnecessary dependency on pthreads
    3.  Remove duplicate boost dependency.
    4.  Make sure to find_package(diagnostic_updater) before use.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Trying to figure out problem with the build farm
    build farm reports: 23:10:29 /usr/bin/ld: cannot find -lpthreads
  * -pthread option added to build receipt
  * Add pthreads dependancy
    This addition is triggered by reading
    'https://stackoverflow.com/questions/31948521/building-error-using-cmake-cannot-find-lpthreads'
  * pthread dep. added to CMakeLists.txt
  * removed unnecessary dependency from cmakelist.txt
  * Contributors: Chris Lalancette, Michael Lehning

 -- Michael Lehning <michael.lehning@lehning.de>  Wed, 15 Apr 2020 22:00:00 -0000

ros-eloquent-sick-scan2 (0.1.6-1bionic) bionic; urgency=high

  * New retrial of bloom release

 -- Michael Lehning <michael.lehning@lehning.de>  Wed, 15 Apr 2020 22:00:00 -0000

ros-eloquent-sick-scan2 (0.1.3-1bionic) bionic; urgency=high

  * Integration of TiM781 and TiM781S

 -- Michael Lehning <michael.lehning@lehning.de>  Tue, 22 Oct 2019 22:00:00 -0000

ros-eloquent-sick-scan2 (0.1.2-1bionic) bionic; urgency=high

  * Porting to "Dashing"

 -- Michael Lehning <michael.lehning@lehning.de>  Mon, 21 Oct 2019 22:00:00 -0000

ros-eloquent-sick-scan2 (0.1.1-1bionic) bionic; urgency=high

  * Integration Test for Bloom

 -- Michael Lehning <michael.lehning@lehning.de>  Mon, 21 Oct 2019 22:00:00 -0000

ros-eloquent-sick-scan2 (0.1.0-1bionic) bionic; urgency=high

  * First version of a ROS2 driver for the SICK TiM family.

 -- Michael Lehning <michael.lehning@lehning.de>  Mon, 21 Oct 2019 22:00:00 -0000

=== debian/control ===
Source: ros-eloquent-sick-scan2
Section: misc
Priority: optional
Maintainer: Michael Lehning <michael.lehning@lehning.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-diagnostic-updater, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-ros-workspace
Homepage: http://wiki.ros.org/sick_scan2
Standards-Version: 3.9.2

Package: ros-eloquent-sick-scan2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-eloquent-diagnostic-updater, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-ros-workspace
Description: A ROS2 driver for the SICK TiM series of laser scanners.
 This package is based on the sick_scan-Repository.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-sick-scan2//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
